<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Java_Script_Home_Work_#1</title>
</head>


<body>
    


    <script>

        var x = 6;
        var y = 14;
        var z = 4;



        document.write (x += y - x++ * z); 
        /*  ход выполнения:  

            шаг_1: x++ постфиксный инкремент увеличивает значение переменной "х" на 1, 
            но запишет его только при следующем повторении следовательно значение переменной "х" останется 6;

            шаг_2: выполнится умножение x++ на z (x++ * z), при х = 6, а z = 4 результатом будет 24;

            шаг_3: далее выполнится вичитание значения полученного в шаг_2 от переменной "у" равной 14. (14 - 24 = -10). 
            Соответственно результатом станет "-10";
            
            шаг_4: последним шагом будет для переменной "х +=" сумма значения переменной "х" и результата предидущих операций. 
            6 + (-10) = -4
        */

        document.write ("<br>");

        var x = 6;
        var y = 14;
        var z = 4;

         document.write (z = --x - y * 5); // z= 5 - 14 * 5 = -65

         /*  ход выполнения:  

         шаг_1: префиксный декремент переменной "--х" уменьшит значение переменной "х" на единицу с запишет его, 
         следовательно значение переменной "х" станет х = 6 - 1 = 5;

         шаг_2: произведение переменной "у" на 5, (у * 5) = 14 * 5 = 70;

         шаг_3: вычитание от переменной "--х" результата произведения (у * 5). 5 - 70 = -65;

         шаг_4: присвоение переменной "z" значения полученного в ходе предидущих шагов в результате значение переменной "z" станет -65.


        */
         document.write ("<br>"); 


        var x = 6;
        var y = 14;
        var z = 4;

        document.write (y /= x + 5 % z); 

        /* ход выполнения:  

        шаг_1: вычисление остатка в выражении (5 % z), при z = 4, 5/4 = 1.25, соответсвенно остаток буде равен 1;

        шаг_2: сумма переменной "х" и результата полученного ранее (х + (5 % z)) = 6 + 1 = 7;

        шаг_3: последним шагом будет присваивание переменной "у" его оглашенного значенияб поделенного на результат полученный ранее.
        Следовательно при у = 14 получим: у = у / 7 = 14 / 7 = 2;

        */

        document.write ("<br>");

        var x = 6;
        var y = 14;
        var z = 4;

        document.write (z - x++ + y * 5); 

        /* ход выполнения:

        шаг_1: x++ постфиксный инкремент увеличивает значение переменной "х" на 1, 
            но запишет его только при следующем повторении следовательно значение переменной "х" останется 6;

        шаг_2: произведение переменной "у" на 5, при у = 14 , получим (у * 5) = 14 * 5 = 70;

        шаг_3: вычитание от переменной "z" значения полученного инкремента "х++". 
        При z = 4, а "x++" = 6, получим (z - x++) = 4 - 6 = -2;

        шаг_4: сумма выражений (z - x++) и (y * 5), следовательно получим: (z - x++) + (y * 5) = -2 + 70 = 68.

        */

        document.write ("<br>");

        var x = 6;
        var y = 14;
        var z = 4;

        document.write (x = y - x++ * z); // x= 14 - (6+1) * 4 = -14

          /* ход выполнения:

        шаг_1: x++ постфиксный инкремент увеличивает значение переменной "х" на 1, 
            но запишет его только при следующем повторении следовательно значение переменной "х" останется 6;

        шаг_2: произведение для выражения (x++ * z), при z = 4, получим: (x++ * z) = 6 * 4 = 24;

        шаг_3: вычитание для выражения (y - (x++ * z)), при у = 14 получим: (y - (x++ * z)) = 14 - 24 = -10;

        шаг_4: последним шагом будет присваивание переменной "х" значения полученного входе проведенных вычислений,
        таким образом получим х = -10.
        
        </script>


</body>
</html>